pfstag(1)

NAME
pfstag - Set or remove tags to/from pfs stream

SYNOPSIS
pfstag [--set [channel:]name=value] [--remove [channel:]name]

DESCRIPTION
Use this command to set or remove tags from the pfs-stream. Tags are used to add additional information to pfs frames and they are in the format: 'name=value'. To learn more about tags, read 'Specification of the PFS File Format'.

Tags are set/removed to/from all pfs frames in the stream.

Note that currently only OpenEXR file format supports tags.

OPTIONS

--set [channel:]name=value], -s [channel:]name=value], --add [channel:]name=value]
    Change existing or add a new tag of the given name. If no channel is given, tags are added to the frame.

--remove [channel:]name], -r [channel:]name]
    Remove tag of the given name. Ignore if the tag does not exist. If no channel is given, tags are removed from the frame.

EXAMPLES

pfsin memorial.hdr | pfstag --add "EXTRA_INFO=foo" | pfsout memorial_ei.exr

    Add tag "EXTRA_INFO=foo" to the memorial image and save it as memorial_ei.exr.

SEE ALSO
pfsin(1) pfsout(1)

BUGS
Please report bugs and comments to Rafal Mantiuk <mantiuk@mpi-sb.mpg.de>.